#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.11
visibility:           public
id:                   foldl-1.4.11-fxRw5EBf95FDFsBeh1fBh
key:                  foldl-1.4.11-fxRw5EBf95FDFsBeh1fBh
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  9f04aabcd3d0fee9fb0c089965d0bb55
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.4/site-local/foldl-1.4.11
library-dirs:         /usr/lib/ghc-8.10.4/site-local/foldl-1.4.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/foldl-1.4.11
hs-libraries:         HSfoldl-1.4.11-fxRw5EBf95FDFsBeh1fBh
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    comonad-5.0.8-9zH6evksmCOCl8EiOWCZAq containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    mwc-random-0.15.0.1-Er7wRzjAq3eLlTm4u7wWfQ
    primitive-0.7.1.0-38g4vrsWuEmC5EJToiThLg
    profunctors-5.6.2-GERPk2aKNhL7iEdQbm0u7N
    semigroupoids-5.3.5-K5goACq8TGE3iCKVVprbNh text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-I4USYXV3Fmg2LoeGz2Nrci
    vector-0.12.2.0-H4M3IeJ8Uw8LGLOdKfxtZO

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

